/*
 *Copyright(C) 2023 by Chief All rights reserved.
 *Unity版本：2023.2.5f1c1 
 *作者:Chief  
 *创建日期: 2024-01-19 
 *模块说明：ECS 模块
 *版本: 1.0
*/

using Sirenix.OdinInspector;
using System;
using UnityEngine;

namespace Aster.ECS
{
    /// <summary>
    /// Ecs运行辅助
    /// </summary>
    public class AsterEcsRunner : LimitMonoSingleton<AsterEcsRunner>
    {

        #region Update

        private void Update()
        {
            if (!AsterEcsUtils.Inited)
                return;

            AsterEcsUtils.UpdateCommandBuffer();
        }

        #endregion

        private void OnDestroy()
        {
            AsterEcsUtils.Dispose();
        }

    }
}